backend:
  name: github
  branch: main
  repo: aaroneaton/aaroneaton.blog

media_folder: src/assets
public_folder: ../../src/assets

collections:
  - name: "posts"
    label: "Post"
    folder: "content/posts"
    create: true
    extension: "md"
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Publish Date", name: "date", widget: "datetime" }
      - { label: "Slug", name: "slug", widget: "string" }
      - { label: "Draft", name: "draft", widget: "boolean", default: true }
      - { label: "Body", name: "body", widget: "markdown" }
      - {
          label: "Category",
          name: "Category",
          widget: "string",
          required: false,
        }
      - { label: "Tags", name: "tags", widget: "list", required: false }
  - name: "notes"
    label: "Notes"
    folder: "content/notes"
    create: true
    slug: "{{year}}{{month}}{{day}}{{hour}}{{minute}}"
    extension: "md"
    identifier_field: "slug"
    summary: "{{year}}-{{month}}-{{day}} {{hour}}:{{minute}} :: {{body}}"
    fields:
      - {
          label: "Body",
          name: "body",
          widget: "markdown",
          buttons: ["link"],
          minimal: true,
        }
      - {
          label: "Image",
          name: "image",
          widget: "image",
          required: false,
          allow_multiple: false,
          choose_url: false,
        }
      - {
          label: "Image Alt Text",
          name: "imageAlt",
          widget: "string",
          required: false,
        }
      - label: "Bluesky"
        name: "bsky"
        widget: "object"
        collapsed: false
        fields:
          - {
              label: "Crosspost",
              name: "crosspost",
              widget: "boolean",
              default: true,
              required: false,
            }
          - {
              label: "Posted URI",
              name: "postedUri",
              widget: "string",
              required: false,
            }
      - { label: "Date", name: "date", widget: "datetime", default: "{{now}}" }
  - name: "pages"
    label: "Page"
    folder: "src/pages"
    create: true
    slug: "{{slug}}.mdx"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Slug", name: "slug", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown" }
